NexHotspot Class Reference
Nextion Component

NexHotspot component. More...

`#include <NexHotspot.h>`

Inherits NexTouch.

## Public Member Functions

| NexHotspot (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexHotspot component.

Definition at line 30 of file NexHotspot.h.

## Constructor & Destructor Documentation

NexHotspot::NexHotspot | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexHotspot.cpp.

The documentation for this class was generated from the following files:

- NexHotspot.h
- NexHotspot.cpp